Package org.apache.sling.junit

# Class SlingTestContextProvider

java.lang.Object
org.apache.sling.junit.SlingTestContextProvider

public class SlingTestContextProvider extends Object
Provider of `SlingTestContext` that uses thread locals to provide per-testing thread contexts.

## Constructor Summary

Constructors
Constructor
Description
`SlingTestContextProvider()`

## Method Summary

Modifier and Type
Method
Description
`static SlingTestContext`
`createContext()`
`static void`
`deleteContext()`
`static SlingTestContext`
`getContext()`
`static boolean`
`hasContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingTestContextProvider

public SlingTestContextProvider()

## Method Details

### getContext

public static SlingTestContext getContext()

### createContext

public static SlingTestContext createContext()

### deleteContext

public static void deleteContext()

### hasContext

public static boolean hasContext()